aux0 = (-2.0 * ((s**4.0) * (((g12 + (2.0 * (g12 * (sx**2)))) ** 2)))) + (
    ((sp + (2.0 * (sp * (sx**2)))) ** 2)
)
aux1 = (g11**2) * (
    (sx**2) + ((sx**4.0) + (((sp**4.0) * (((1.0 + (2.0 * (sx**2))) ** 2))) + aux0))
)
aux2 = ((s**4.0) * (((g12 + (2.0 * (g12 * (sx**2)))) ** 2))) + (
    ((sp + (2.0 * (sp * (sx**2)))) ** 2)
)
aux3 = (g12**2) * (
    (sx**2) + ((sx**4.0) + (((sp**4.0) * (((1.0 + (2.0 * (sx**2))) ** 2))) + aux2))
)
aux4 = (
    (g11**3.0) * ((1.0 + (2.0 * (sp**2))) * (((s + (2.0 * (s * (sx**2)))) ** 2)))
) + (aux1 + aux3)
aux5 = (((g11**4.0) * ((s**4.0) * (((1.0 + (2.0 * (sx**2))) ** 2)))) + aux4) - (
    g11
    * (
        (g12**2)
        * ((s**2) * ((1.0 + (2.0 * (sp**2))) * (((1.0 + (2.0 * (sx**2))) ** 2))))
    )
)
aux6 = ((g11 + g12) * (s**2)) + (
    (sp**2) + ((sx**2) + (2.0 * ((((g11 + g12) * (s**2)) + (sp**2)) * (sx**2))))
)
aux7 = ((g11 + g12) * (s**2)) + (
    (sp**2) + ((sx**2) + (2.0 * ((((g11 + g12) * (s**2)) + (sp**2)) * (sx**2))))
)
aux8 = ((g11 - g12) * (s**2)) + (
    (sp**2) + ((sx**2) + (2.0 * ((((g11 - g12) * (s**2)) + (sp**2)) * (sx**2))))
)
aux9 = ((g11 - g12) * (s**2)) + (
    (sp**2) + ((sx**2) + (2.0 * ((((g11 - g12) * (s**2)) + (sp**2)) * (sx**2))))
)
output = (
    (((4.0 * ((((s + (2.0 * (s * (sx**2)))) ** 2)) * aux5)) / (1.0 + aux6)) / aux7)
    / (1.0 + aux8)
) / aux9
